setenv LANG zh_CN.eucCN
setenv LC_CTYPE zh_CN.UTF-8
setenv MM_CHARSET gbk

# for 8 bit character
stty cs8 -istrip
stty pass8

set color
set dspmbyte="0000000000000000000000000000000000000000000000000000000000000000222222222222222222222222222222222222222222222222222222222222222223333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333330"

# no coredump
#limit coredumpsize 0 k

# Uncomment the following if you wish to have a more useful prompt
set     prompt = "%{[1;33;41m%}%n@%m%{[m%}%{[33m%} <%{[32m%}%/%{[33m%}>%{[m%} "

#
# Use a Chinese capable pager and editor
#setenv  PAGER 	"/usr/bin/less -r"
#setenv  EDITOR "env LC_CTYPE=en_US.ISO8859-1 /usr/bin/vi"
#setenv  VISUAL "env LC_CTYPE=en_US.ISO8859-1 /usr/bin/vi"

# For DocBook:
#setenv SGML_CATALOG_FILES /usr/local/share/sgml/catalog
#setenv XML_CATALOG_FILES /usr/local/share/xml/catalog.ports

# turn on autocorrect, autolist, etc..
set filec
set autocorrect
set autolist
set matchbeep = ambiguous
set autoexpand
set history = 1000
set savehist=1000
#set notify

# set WWW_HOME as FreeBSD Homepage for lynx
setenv WWW_HOME http://www.freebsd.org/

# trun on Home End key
bindkey [1~ beginning-of-line
bindkey [4~ end-of-line

#
# Temporary hack to allow display of Chinese
#alias  cls	'env LC_CTYPE=en_US.ISO8859-1 ls -GF'
#alias	ctin	'env LC_CTYPE=en_US.ISO8859-1 tin'
#alias  cjoe    'joe -asis'
#alias	cwrite	'env LC_CTYPE=en_US.ISO8859-1 write'
#alias	ctalk	'env LC_CTYPE=en_US.ISO8859-1 talk'
#alias	cwall	'env LC_CTYPE=en_US.ISO8859-1 wall'
#alias	cvi	'env LC_CTYPE=en_US.ISO8859-1 vi'
#alias	cncftp3	'env LC_CTYPE=en_US.ISO8859-1 ncftp3'
#alias  cgnuls  'gnuls --color=auto --show-control-chars'
#alias  cless	'less -r'
#alias  cqkmj	'env TERM=vt100 qkmj'
alias	ls	'ls -G'

# color ls (/usr/ports/misc/gnuls)
#alias	ls 	'gnuls --color=auto --show-control-chars'

#
# Taiwan News Server
#setenv NNTPSERVER      news.tw.freebsd.org

#
# Taiwan IRC Server, /join #bsdchat
#alias irssi 'env TERM=xterm irssi -c irc.seed.net.tw'

if ( ! -r $HOME/.Xsession ) then
    sh $HOME/.xselector
endif

if  ( ! $?DISPLAY ) then
    set TTY_TYPE=`echo $tty | cut -c 4`
    if ( $TTY_TYPE == "v" && -r $HOME/.xinitrc ) then
	if ( -r $HOME/.Autostartx && -x /usr/X11R6/bin/startx ) then
        startx &
	endif
    endif
endif 
