LANG=zh_CN.eucCN ; export LANG
LC_CTYPE=zh_CN.UTF-8 ; export LC_CTYPE
MM_CHARSET=gbk ; export MM_CHARSET

# for 8 bit character
stty cs8 -istrip
stty pass8

# Temporary hack to allow display of Chinese filenames
#alias cls='export LC_CTYPE=en_US.ISO8859-1 && ls -GF'
#
# Use a Chinese capable pager and editor
#PAGER="/usr/bin/less -r" ; export PAGER
#EDITOR="env LC_CTYPE=en_US.ISO8859-1 /usr/bin/vi" ; export EDITOR
#
# Temporary hack to allow display of Chinese
#alias  cls='env LC_CTYPE=en_US.ISO8859-1 ls -GF'
#alias  ctin='env LC_CTYPE=en_US.ISO8859-1 tin'
#alias  cjoe='joe -asis'
#alias  cwrite='env LC_CTYPE=en_US.ISO8859-1 write'
#alias  ctalk='env LC_CTYPE=en_US.ISO8859-1 talk'
#alias  cwall='env LC_CTYPE=en_US.ISO8859-1 wall'
#alias  cvi='env LC_CTYPE=en_US.ISO8859-1 vi'
#alias  cncftp3='env LC_CTYPE=en_US.ISO8859-1 ncftp3'
#alias  cgnuls='gnuls --color --show-control-chars'
#alias  cless='less -r'
#alias  cqkmj='env TERM=vt100 qkmj'
#
alias ls='ls -G'

case $UID in
	0) PS1="\[\033[1;31m\][ \u@\h \W] #\[\033[0m\] ";;
	*) PS1="\[\033[1;32m\][ \u@\h \W] $\[\033[0m\] ";;
esac

# For DocBook:
#export SGML_CATALOG_FILES=/usr/local/share/sgml/catalog
#export XML_CATALOG_FILES=/usr/local/share/xml/catalog.ports

#  set WWW_HOME as FreeBSD Homepage for lynx
export WWW_HOME=http://www.freebsd.org/

if [ ! -f $HOME/.Xsession ]; then
    sh $HOME/.xselector
fi

if [ ! $DISPLAY ]; then
    TTY_TYPE=`echo $tty | cut -c 4`
    if [ -f $HOME/.xinitrc ]; then
	if [ -f $HOME/.Autostartx -a -x /usr/X11R6/bin/startx ]; then
	    startx &
	fi
    fi
fi
